<?php
/**
 * @category   Mageplaza
 * @package    Mageplaza_Helloworld
 * @author     prashant.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Order\Status\Block\Adminhtml\Items\Edit;

use Order\Status\Helper\Data;
use Magento\Backend\Block\Template\Context;

class Form extends \Magento\Backend\Block\Widget\Form\Generic
{
    /**
    * @var Altayer\ImportExport\Helper\ImportHelper
    */

    protected $helperData;

    public function __construct(
        Context $context,
        \Magento\Framework\Registry $registry,
        \Magento\Framework\Data\FormFactory $formFactory,
        Data $helperData
    )
    {
        $this->helperData = $helperData;
        parent::__construct($context, $registry, $formFactory);
    }
    /**
     * Return form action url
     *
     * @return string
     */
    public function getActionUrl()
    {
        return $this->getUrl('order_status/items/save', ['_current' => true]);
    }

    protected function _prepareForm()
    {
        /** @var \Magento\Framework\Data\Form $form */
        $form = $this->_formFactory->create(
            array(
                'data' => array(
                    'id' => 'edit_form',
                    'action' => $this->getActionUrl(),
                    'method' => 'post',
                    'enctype' => 'multipart/form-data'
                )
            )
        );
        
        $fieldset = $form->addFieldset(
            'general_fieldset',
            ['legend' => __('Import Settings'), 'class' => 'fieldset-wide']
        );

        $this->_addElementTypes($fieldset);

        $fieldset->addField(
            'delivery_picker',
            'select',
            [
                'label'     => __('Delivery_Picker :'),
                'title'     => __('Delivery_Picker'),
                'name'      => 'entity',
                'values'    => $this->helperData->toOptionArray(),
                'required'  => true
            ]
        );

        $form->setUseContainer(true);
        $this->setForm($form);
        return parent::_prepareForm();
    }
}
